=== debian/control ===
Source: startup-disk
Section: utils
Priority: optional
Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
Uploaders:
 NoisyCoil <noisycoil@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 appstream-util <!nocheck>,
 cargo:native,
 desktop-file-utils <!nocheck>,
 librust-asahi-bless-0.4-dev,
 librust-glib-build-tools-0.20-dev,
 librust-gtk4-0.9-dev,
 librust-libadwaita-0.7-dev,
 librust-rand-0.8-dev,
 librust-uuid-1-dev,
 librust-uzers-0.12-dev,
 libstd-rust-dev,
 rustc:native,
Standards-Version: 4.7.2
Homepage: https://gitlab.gnome.org/davide125/startup-disk
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/bananas-team/startup-disk.git
Vcs-Browser: https://salsa.debian.org/bananas-team/startup-disk

Package: startup-disk
Architecture: arm64
Multi-Arch: foreign
Depends:
 hicolor-icon-theme,
 pkexec,
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cargo:Recommends},
Suggests:
 sudo,
 ${cargo:Suggests},
Provides:
 ${cargo:Provides},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using: ${cargo:Static-Built-Using}
Description: choose the startup disk on Apple Silicon machines
 Startup Disk provides a simple graphical interface to choose the startup
 volume on Apple Silicon Macs running Asahi Linux.
