=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk

export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

%:
	dh $@

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	mv $(CURDIR)/Cargo.lock $(CURDIR)/debian/Cargo.lock

execute_after_dh_auto_install:
	dh-cargo-built-using startup-disk

override_dh_auto_clean:
	dh_auto_clean
	mv $(CURDIR)/debian/Cargo.lock $(CURDIR) || true
	rm -rf $(CARGO_HOME) $(CARGO_REGISTRY)
